org.mariadb.jdbc.internal.packet.result

## Class EndOfFilePacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.result.AbstractResultPacket
  - - org.mariadb.jdbc.internal.packet.result.EndOfFilePacket

    public class EndOfFilePacket
    extends AbstractResultPacket

### Nested Class Summary

### Nested classes/interfaces inherited from class org.mariadb.jdbc.internal.packet.result.AbstractResultPacket

`AbstractResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`EndOfFilePacket(ByteBuffer byteBuffer)` Read EOF stream.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `getPacketSeq()`
`AbstractResultPacket.ResultType` `getResultType()`
`short` `getStatusFlags()`
`short` `getWarningCount()`
`String` `toString()`

### Methods inherited from class org.mariadb.jdbc.internal.packet.result.AbstractResultPacket

`getLengthEncodedBinary, read24bitword`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EndOfFilePacket

    public EndOfFilePacket(ByteBuffer byteBuffer)

Read EOF stream.

Parameters:
  `byteBuffer` - stream byteBuffer

### Method Detail

#### getResultType

    public AbstractResultPacket.ResultType getResultType()

Specified by:
  `getResultType` in class `AbstractResultPacket`

#### getPacketSeq

    public byte getPacketSeq()

#### getWarningCount

    public short getWarningCount()

#### getStatusFlags

    public short getStatusFlags()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`